# Advanced options

There are additional class options and functions you can specify in the task definition class, based on which runner is used.

***

## `Command` runner

* `shell` (`bool`, `default: False`): Run `subprocess.Popen` with `shell=True` (**dangerous !**).
* `cwd` (`str`, `default: None`): Command current working directory.
* `encoding` (`dict`, `default: utf-8`): Output encoding.
* `opt_prefix` (`str`, `default: -`): Change the prefix used to specify command options.
* `version_flag` (`str`, `default: None`): The version flag. Defaults to `{opt_prefix}version`.
* `ignore_return_code` (`bool`, `default: False`): Ignore the command return code (useful if your command has non-standard return codes).

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.freelabz.com/for-developers/writing-tasks/advanced-options.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
